:mailboxes:
  -
    # IMAP server host
    :host: <%= @incoming_email_host %>
    # IMAP server port
    :port: <%= @incoming_email_port %>
    # Whether the IMAP server uses SSL
    :ssl: <%= @incoming_email_ssl %>
    # Whether the IMAP server uses StartTLS
    :start_tls: <%= @incoming_email_start_tls %>
    # Email account username. Usually the full email address.
    :email: <%= @incoming_email_email %>
    # Email account password
    :password: <%= @incoming_email_password %>
    # The name of the mailbox where incoming mail will end up. Usually "inbox".
    :name: <%= @incoming_email_mailbox_name %>
    # Always "sidekiq".
    :delivery_method: sidekiq
    :delete_after_delivery: true
    :delivery_options:
      # The URL to the Redis server used by Sidekiq. Should match the URL in config/resque.yml.
      :redis_url: <%= @redis_url %>
      # Always "resque:gitlab".
      :namespace: resque:gitlab
      # Always "incoming_email".
      :queue: incoming_email
      # Always "EmailReceiverWorker"
      :worker: EmailReceiverWorker
